API One Doc

Task List Query

Paginated query of all async tasks for the current API Key user, with filtering by platform, status, and time.

Paginated query of all async tasks for the current API Key user, with filtering by platform, status, and time.

GET https://apione.org/api/task/self

This interface uses account session or Access Token authentication, suitable for displaying task history in your own backend.

Request Parameters

Pagination

ParameterTypeRequiredDefaultDescription
pintNo1Page number, starting from 1
page_sizeintNo10Items per page, max 100

Filters

ParameterTypeRequiredDescription
task_idstringNoExact query by task ID
platformstringNoTask platform, e.g. suno, mj
statusstringNoTask status, see table below
actionstringNoTask type, e.g. MUSIC, LYRICS, generate
start_timestampint64NoStart time (Unix seconds), filter by submit time
end_timestampint64NoEnd time (Unix seconds), filter by submit time

Status Values

ValueMeaning
NOT_STARTNot started
SUBMITTEDSubmitted
QUEUEDQueued
IN_PROGRESSProcessing
SUCCESSSucceeded
FAILUREFailed
UNKNOWNUnknown

Request Example

curl "https://apione.org/api/task/self?p=1&page_size=20&platform=suno&status=SUCCESS" \
  -H "Authorization: <access_token>" \
  -H "New-Api-User: <user_id>"

Response Example

{
  "success": true,
  "message": "",
  "data": {
    "page": 1,
    "page_size": 20,
    "total": 42,
    "items": [
      {
        "id": 1001,
        "task_id": "task_abcdef0123456789",
        "platform": "suno",
        "action": "MUSIC",
        "status": "SUCCESS",
        "progress": "100%",
        "result_url": "https://file1.example.com/file/xxxx.mp3",
        "fail_reason": "",
        "submit_time": 1717200000,
        "start_time": 1717200005,
        "finish_time": 1717200060,
        "quota": 1000,
        "created_at": 1717200000,
        "updated_at": 1717200060
      }
    ]
  }
}

Response Fields (items element)

FieldTypeDescription
idintTask record ID
task_idstringTask ID
platformstringTask platform
actionstringTask type
statusstringTask status
progressstringProgress, e.g. "0%", "100%"
result_urlstringResult link (returned on success)
fail_reasonstringFailure reason
submit_timeint64Submit time (Unix seconds)
start_timeint64Start time (Unix seconds)
finish_timeint64Finish time (Unix seconds)
quotaintQuota consumed
created_atint64Creation time (Unix seconds)
updated_atint64Update time (Unix seconds)

On this page